iOSアプリ・Webシステム開発のイリテク

HOME > iOS プログラミング > iOS5より古いバージョンのプロジェクトファイルをARCに対応させる
2012.07.31

iOS5より古いバージョンのプロジェクトファイルをARCに対応させる

このエントリーをはてなブックマークに追加

iOS5からARC(Auto Reference Counting)という便利な機能が追加されました。これまでせかせかと書いていたretainやreleaseを記述しなくても、自動的にXcode側で管理してくれるというものです。しかし、そのままではiOS5以前に作ったファイルはARCが使えません。そこで、今回はiOS5以前のファイルでもARCを使えるようにする方法の紹介です。

SPONSOR

既存のプロジェクトファイルの設定変更

まず、古いバージョンで作成したプロジェクトファイルを開いて、「Build Settings」タブを開きます。

「Compiler for C/C++/Objective-C」の箇所を「Apple LLVM compiler 4.0」にします。

Apple LLVMとは

Xcode における LLVM は従来のデフォルトコンパイラである GCC を置き換えるものとのこと。Xcode4からはこのLLVMになっているようです。
・コンパイルが速い
・コンパイルされたコードが速い
・エラーメッセージがわかりやすい
・他のツールと連携しやすい
参考:Xcode 4 でデフォルトになった LLVM って何?

次に「Objective-C++ Automatic Reference …」をYESにします。

retainやreleaseを一括変換

このままではファイル内に記述しているretainやreleaseはそのままなので、エラーが出ます。そこで便利な変換機能を使います。

チェックしたファイルが変換されることになるのですが、「Cannot Convert to Objective-C ARC」というようなエラーが出るようならその箇所をチェックして修正して、また変換にかけて…の繰り返しで解決していきます。

古いライブラリを利用していて、そのままのコードで使いたい場合はこちらを参考にどうぞ!
Xcodeでファイル別にARCの有効・無効を設定する方法

この記事をシェアする
このエントリーをはてなブックマークに追加

関連記事

イリテクはIT・経営に関する情報を発信しています!

  • follow us in feedly
    RSSで最新記事を取得

SPONSER

開発したWebサービス
記事を書いている人
入江 慎吾 イリテク(株)代表
Web/iOSエンジニア。単なる制作ではなく、お客さまの一員となって共に考え「攻めのIT投資」でビジネスを加速させます。
SPONSOR

最新記事
Facebook
Twitter
人気記事